## org.apache.commons.collections.functors
Class AndPredicate

    java.lang.Object
      org.apache.commons.collections.functors.AndPredicate

All Implemented Interfaces:
  java.io.Serializable, PredicateDecorator, Predicate

    public final class AndPredicate

extends java.lang.Object
implements Predicate, PredicateDecorator, java.io.Serializable

Predicate implementation that returns true if both the predicates return true.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`AndPredicate(Predicate predicate1, Predicate predicate2)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(java.lang.Object object)` Evaluates the predicate returning true if both predicates return true.
`static Predicate` `getInstance(Predicate predicate1, Predicate predicate2)` Factory to create the predicate.
`Predicate[]` `getPredicates()` Gets the two predicates being decorated as an array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AndPredicate

    public AndPredicate(Predicate predicate1,
                        Predicate predicate2)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `predicate1` - the first predicate to check, not null
    `predicate2` - the second predicate to check, not null

Method Detail

### getInstance

    public static Predicate getInstance(Predicate predicate1,
                                        Predicate predicate2)

  Factory to create the predicate.

  Parameters:
    `predicate1` - the first predicate to check, not null
    `predicate2` - the second predicate to check, not null
  Returns:
    the `and` predicate
  Throws:
    `java.lang.IllegalArgumentException` - if either predicate is null

### evaluate

    public boolean evaluate(java.lang.Object object)

  Evaluates the predicate returning true if both predicates return true.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if both decorated predicates return true

### getPredicates

    public Predicate[] getPredicates()

  Gets the two predicates being decorated as an array.

  Specified by:
    `getPredicates` in interface `PredicateDecorator`
  Returns:
    the predicates
  Since:
    Commons Collections 3.1

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.